---
title: The 'TreeDimensionTest' R package
bibliography: inst/REFERENCES.bib
---
[![Project Status: Active – The project has reached a stable, usable state and is being actively developed.](https://www.repostatus.org/badges/latest/active.svg)](https://www.repostatus.org/#active)

### Overview

Testing on multivariate data for trajectory presence and heterogeneity. Two statistical methods [@Tenha:2022] are implemented. The tree dimension test quantifies the statistical evidence for trajectory presence. The subset specificity measure summarizes pattern heterogeneity using the minimum subtree cover. There is no user tunable parameters for either method. Examples are included to illustrate how to use the methods on single-cell data for studying gene and pathway expression dynamics and pathway expression specificity.
 
### To download and install the package

```{r}
install.packages("DimensionTreeTest")
```

### Examples

See the package vignette.

### Citing the package

